Arch Remove/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "lub # Wybierz obiekty do odjęcia, ostatni wybrany obiekt musi być obiektem Architektury, od którego zostaną odjęte pozostałe obiekty. # Naciśnij przycisk {{Button|16px}} lub {{MenuCommand|Architektura → 16px Usuń komponent}} z menu głównego.")
(Created page with "==Tworzenie skryptów== {{Emphasis|Zobacz również:}} API: Architektura i Podstawy tworzenia skryptów FreeCAD.")
Line 40: Line 40:
# Naciśnij przycisk {{Button|[[Image:Arch_Remove.svg|16px]]}} lub {{MenuCommand|Architektura → [[Image:Arch_Remove.svg|16px]] Usuń komponent}} z menu głównego.
# Naciśnij przycisk {{Button|[[Image:Arch_Remove.svg|16px]]}} lub {{MenuCommand|Architektura → [[Image:Arch_Remove.svg|16px]] Usuń komponent}} z menu głównego.


==Tworzenie skryptów==
==Scripting==
{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|Zobacz również:}} [[Arch_API/pl|API: Architektura]] i [[FreeCAD_Scripting_Basics/pl|Podstawy tworzenia skryptów FreeCAD]].


The Remove tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
The Remove tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:

Revision as of 15:18, 5 May 2024

Architektura: Usuń komponent

Lokalizacja w menu
Architektura → Usuń komponent
Środowisko pracy
Architektura
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Linia cięcia, Przetnij płaszczyzną, Połącz obiekty

Opis

Narzędzia Remove pozwalają na wykonanie 2 rodzajów operacji:

  • Usunięcie komponentu podrzędnego z obiektu Architektury, na przykład usunięcie prostopadłościanu, który został dodany do ściany, jak w Połącz obiekty.
  • Odjęcie obiektu opartego na kształcie od komponentu Architektury, takiego jak ściana lub konstrukcja.

Odpowiednikiem tego narzędzia jest Połącz obiekty.

Prostopadłościan odjęty od ściany, pozostawiający w niej dziurę.

Użycie

  1. Wybierz komponent podrzędny wewnątrz obiektu Architektury.
  2. Naciśnij przycisk lub Architektura → Połącz obiekty z menu głównego.

lub

  1. Wybierz obiekty do odjęcia, ostatni wybrany obiekt musi być obiektem Architektury, od którego zostaną odjęte pozostałe obiekty.
  2. Naciśnij przycisk lub Architektura → Usuń komponent z menu głównego.

Tworzenie skryptów

Zobacz również: API: Architektura i Podstawy tworzenia skryptów FreeCAD.

The Remove tool can be used in macros and from the Python console by using the following function:

removeComponents(objectsList, host=None)
  • Removes the given objects in objectsList from their parents.
  • If a host object is specified, this function will try adding the objects in objectsList as holes to the host.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()